; SPDX-License-Identifier: LGPL-3.0-or-later
; Copyright (C) 2010-2021 Tony Garnock-Jones <tonygarnockjones@gmail.com>

#lang syndicate

(require/activate syndicate/drivers/external-event)
(require (only-in racket/port read-bytes-line-evt))

(spawn (define stdin-evt (read-bytes-line-evt (current-input-port) 'any))
       (on (message (inbound (external-event stdin-evt (list $line))))
           (if (eof-object? line)
               (stop-current-facet)
               (printf "~a\n" line))))
