; SPDX-License-Identifier: LGPL-3.0-or-later
; Copyright (C) 2010-2021 Tony Garnock-Jones <tonygarnockjones@gmail.com>

#lang setup/infotab
(define collection "syndicate")
(define racket-launcher-names
  '("syndicate-server"
    "syndicate-server-debug"))
(define racket-launcher-libraries
  '("bin/syndicate-server.rkt"
    "bin/syndicate-server-debug.rkt"))

(define deps '("rfc6455"
	       "base"
	       "data-lib"
	       "net-lib"
               "web-server-lib"
	       "profile-lib"
	       "htdp-lib"
               "gui-lib"
               "pict-lib"
               "db-lib"
               "sgl"
               "struct-defaults"
               "auxiliary-macro-context"
               "bitsyntax"
               "preserves"))

(define build-deps '("rackunit-lib"))
