; SPDX-License-Identifier: LGPL-3.0-or-later
; Copyright (C) 2010-2021 Tony Garnock-Jones <tonygarnockjones@gmail.com>

#lang racket/base
;; Reflective protocols

(provide (struct-out terminated))

;; (terminated Any (Option Any))
;; The `actor-name` is the name of the terminated actor.
;; The `reason` is either `#f` or a termination reason, usually an `exn?`.
(struct terminated (actor-name reason) #:transparent)
